Bug 505749 - Feature Request: use ncurses console instead of serial console
Feature Request: use ncurses console instead of serial console
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 10:20 EDT by Julian G
Modified: 2010-03-16 13:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-17 05:32:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian G 2009-06-13 10:20:48 EDT
Description of problem:
By default "virsh console" connects to the serial console. If you'd like to use this you have to change grub and inittab configuration.

Version-Release number of selected component (if applicable):
libvirt-0.6.2

Expected results:
If virsh console would connect to kvm ncurses interface, it would be usable without any configuration changes on the guest system.
Comment 1 Daniel Berrange 2009-06-17 05:32:24 EDT
In the future KVM guests will have a VirtIO Console enabled by default

https://bugzilla.redhat.com/show_bug.cgi?id=501328
Comment 2 Julian G 2009-06-17 09:09:23 EDT
What's about guests which haven't this option enabled by default (e.g. Gentoo)? Why do you deny the possibility of a ncurses interface?
Comment 3 Cole Robinson 2009-06-17 09:24:13 EDT
A fundamental piece of the libvirt qemu driver is that all qemu processes are daemonized: I'm pretty sure this makes it incompatible with using -curses.
Comment 4 Daniel Berrange 2009-06-17 09:35:22 EDT
Any new distro which does not configure VirtIO console should be considered broken. This RFE is the core reason for VirtIO console to exist, and why libvirt will soon be enabling it by default on all guests. In addition the ncurses interfaces is associated with the VGA graphics adapter, which is automatically configured to use VNC by virt-manager/virt-install. The virsh console command connects to the first serial port console, or VirtIO console both of which are available by default regardless of VGA device config.
Comment 5 Julian G 2009-06-18 17:50:54 EDT
Thank you for this explanation :)

Note You need to log in before you can comment on or make changes to this bug.